# Completion
source <(gitlab-project-manager completion zsh)

alias gpm="gitlab-project-manager"

# Go to a project, specify a fzf filter or filter
# through them all
pgo () {
	project=` gitlab-project-manager project cd $1 `
	if [ $? -eq 0 ]; then
		cd $project
	fi
}

# Add a new project to your local projects path
padd () {
	gitlab-project-manager project add
}

plist () {
	gitlab-project-manager alias list
}

pshow () {
	gitlab-project-manager project show --current
}

popen () {
	gitlab-project-manager project open $1
	reset 2>&1 > /dev/null
}

alias prun="gitlab-project-manager project run"
