package load

import "gitea.libretechconsulting.com/rmcguire/git-project-manager/internal/remotes/projects"

// This package provides structs that serve
// as the interface between remotes, and any code
// that will call StreamProjects() on those remotes

type ProgressInfo struct {
	ProgressChan chan Progress
	ProjectsChan chan []*projects.Project
	ErrorChan    chan error
	DoneChan     chan interface{}
	NumProjects  int
}

type Progress struct {
	Page          int
	Pages         int
	Projects      int
	TotalProjects int
}
