package cmd

import (
	"github.com/spf13/cobra"
)

var projectAddCmd = &cobra.Command{
	Use:     "add",
	Short:   "Add a new GitLab project",
	Aliases: []string{"a", "alias"},
	Long:    projAddCmdLong,
	Run:     projectAddCmdRun,
}

func projectAddCmdRun(cmd *cobra.Command, args []string) {
	getProject(args)
}

func init() {
	projectCmd.AddCommand(projectAddCmd)
}
